<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:padding="@dimen/dp_20"
            android:text="温馨提示"
            android:textColor="@color/black"
            android:textSize="@dimen/sp_22" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingHorizontal="@dimen/dp_20"
            android:text="欢迎使用智慧城管！"
            android:textColor="@color/mainTextColor"
            android:textSize="@dimen/sp_16" />
    </LinearLayout>

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_20"
        android:text="为了向您提供更好的相关业务服务，我们需要获取以下权限和信息，系统将以弹窗提示征求您的授权。"
        android:textColor="@color/mainTextColor"
        android:textSize="@dimen/sp_16" />

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dp_20">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_gray_radius_5"
                android:orientation="vertical"
                android:padding="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="位置"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16"
                    app:drawableStartCompat="@drawable/ic_location_permssion" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_32"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="经授权，我们会收集您的地理位置信息，以便为您查看案卷位置并导航至案卷发生点。请注意，在部分场景下，地理位置是必要信息，如您拒绝授权可能影响正常使用。"
                    android:textColor="@color/subTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_gray_radius_5"
                android:orientation="vertical"
                android:padding="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="相机"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16"
                    app:drawableStartCompat="@drawable/ic_camera_permssion" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_32"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="经授权，我们会在您使用相机拍照、录制视频等对应业务相关服务时使用您的相机功能。"
                    android:textColor="@color/subTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_gray_radius_5"
                android:orientation="vertical"
                android:padding="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="相册"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16"
                    app:drawableStartCompat="@drawable/ic_album_permssion" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_32"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="经授权，我们会在您使用照片及视频上传、保存等对应服务是收集您的相册信息。"
                    android:textColor="@color/subTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_gray_radius_5"
                android:orientation="vertical"
                android:padding="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="设备信息"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16"
                    app:drawableStartCompat="@drawable/ic_device_permssion" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_32"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="经授权，我们会收集您的设备信息以保障系统运行和您的账号安全。"
                    android:textColor="@color/subTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_solid_layout_gray_radius_5"
                android:orientation="vertical"
                android:padding="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="录音"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16"
                    app:drawableStartCompat="@drawable/ic_audio_permssion" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_32"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="经授权，我们会在您处理案卷相关业务时使用您的录音功能。"
                    android:textColor="@color/subTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="@dimen/dp_10"
                android:background="@drawable/bg_solid_layout_gray_radius_5"
                android:orientation="vertical"
                android:padding="@dimen/dp_10">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawablePadding="@dimen/dp_10"
                    android:text="拨号"
                    android:textColor="@color/black"
                    android:textSize="@dimen/sp_16"
                    app:drawableStartCompat="@drawable/ic_call_permssion" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_32"
                    android:layout_marginTop="@dimen/dp_10"
                    android:text="经授权，我们会在您需要联系相关业务工作人员时使用您的拨号功能。"
                    android:textColor="@color/subTextColor"
                    android:textSize="@dimen/sp_14" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <Button
        android:id="@+id/enterMainButton"
        style="@style/MainButtonStyle"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginVertical="@dimen/dp_20"
        android:text="下一步" />
</LinearLayout>